Page MenuHomePhabricator

Error introduced in recent #tag:ref change, breaks nested refs in enwp
Closed, ResolvedPublic

Description

enwp's nested template ({{:en:refn}}) broke with a recent change that we've traced back to "#tag:ref". Instances of nested refs now dump the nested refs at the bottom of the page instead of in the original reflist where they once displayed. For example, see [[:en:Fez (video game)]] or [[:en:Albany Free School]]

Could someone help us figure out what recent Mediawiki change caused this or what our next steps should be?

More information available at [[:en:Template talk:Refn#Refn references getting sent to the bottom of the page?]]

Thanks

Event Timeline

czar created this task.May 26 2015, 11:50 PM
czar raised the priority of this task from to Needs Triage.
czar updated the task description. (Show Details)
czar added a subscriber: czar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2015, 11:50 PM
czar renamed this task from Error introduced in recent #tag:ref change to Error introduced in recent #tag:ref change, breaks nested refs in enwp.May 27 2015, 12:00 AM
czar updated the task description. (Show Details)
czar set Security to None.

AIUI, the automatic showing of an undisplayed reflist is not a problem. With no group specified, the #tag:refs and the plain <ref>s used to be added to the same reflist. It appears this is no longer the case.

Change 214116 had a related patch set uploaded (by Jackmcbarn):
Parse references as we go

https://gerrit.wikimedia.org/r/214116

Rwessel added a subscriber: Rwessel.Jun 5 2015, 6:23 AM

New here, apologies in advance for not getting things right...

There are a couple of referencing errors on "C (programming language)" on enwiki that appear to be related to nested references via the refn template. For example, {{refn|Page 3 of the original K&R<ref name="k&re />}} seems to generate the cite error. I think this may be related to this problem.

Change 216688 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Do all of Cite's real work during unstrip" and followup

https://gerrit.wikimedia.org/r/216688

There is a wider discussion on T101390, which seems to be a different problem with the same cause. This should get fixed when the revert above is deployed today.

Change 216688 merged by jenkins-bot:
Revert "Do all of Cite's real work during unstrip" and followup

https://gerrit.wikimedia.org/r/216688

Change 216711 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Do all of Cite's real work during unstrip" and followup

https://gerrit.wikimedia.org/r/216711

Change 216711 merged by jenkins-bot:
Revert "Do all of Cite's real work during unstrip" and followup

https://gerrit.wikimedia.org/r/216711

New here, apologies in advance for not getting things right...
There are a couple of referencing errors on "C (programming language)" on enwiki that appear to be related to nested references via the refn template. For example, {{refn|Page 3 of the original K&R<ref name="k&re />}} seems to generate the cite error. I think this may be related to this problem.

FYI: The problem on "C (programming language)" seems to have cleared up.

Change 214116 abandoned by Jackmcbarn:
Parse references as we go

Reason:
Until its dependency comes back

https://gerrit.wikimedia.org/r/214116